List suppliers
curl --request GET \
--url https://api.example.com/suppliersimport requests
url = "https://api.example.com/suppliers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "e4b6d4e8-8e6d-41da-abdb-8fc358a9e7f1",
"name": "Distribuidora Tech",
"corporateName": "Distribuidora de Tecnologia LTDA",
"document": "12.345.678/0001-90",
"email": "contato@distribuidoratech.com",
"phone": "+5511999999999",
"active": true
}
],
"total": 1,
"page": 1,
"limit": 10
}
Suppliers
Listar Fornecedores
Retorna uma lista paginada e pesquisável dos fornecedores cadastrados na base do lojista.
GET
/
suppliers
List suppliers
Query Parameters
Página solicitada.
Fornecedores por página.
Busca textual que percorre nome fantasia, razão social, documento, email ou telefone do fornecedor.
Response
{
"data": [
{
"id": "e4b6d4e8-8e6d-41da-abdb-8fc358a9e7f1",
"name": "Distribuidora Tech",
"corporateName": "Distribuidora de Tecnologia LTDA",
"document": "12.345.678/0001-90",
"email": "contato@distribuidoratech.com",
"phone": "+5511999999999",
"active": true
}
],
"total": 1,
"page": 1,
"limit": 10
}
⌘I